% Graphs
close all
clear

cd 'C:\Users\z3504163\Dropbox\Two country\NewIII'
load('results.mat');
load('posteriorparam.mat')
n=0.25;

%n=19;
no=22; %This gives you a sample from 1996 to 2017
CAYact = xlsread('C:\Users\z3504163\Dropbox\Two country\Submissions\JMCB\Replication_kit\Estimation.xlsx','China','B5:B26');
TBYact = xlsread('C:\Users\z3504163\Dropbox\Two country\Submissions\JMCB\Replication_kit\Estimation.xlsx','China','C5:C26');
b_fYact = xlsread('C:\Users\z3504163\Dropbox\Two country\Submissions\JMCB\Replication_kit\Estimation.xlsx','China','D5:D26');
Sact_level = xlsread('C:\Users\z3504163\Dropbox\Two country\Submissions\JMCB\Replication_kit\Estimation.xlsx','China','E5:E26');
Qact_level = xlsread('C:\Users\z3504163\Dropbox\Two country\Submissions\JMCB\Replication_kit\Estimation.xlsx','China','F5:F26');
mgdp_ratio_act = xlsread('C:\Users\z3504163\Dropbox\Two country\Submissions\JMCB\Replication_kit\Estimation.xlsx','China','G5:G26');
piact = xlsread('C:\Users\z3504163\Dropbox\Two country\Submissions\JMCB\Replication_kit\Estimation.xlsx','China','H5:H26');

dates=(1996:1:1996+no-1)';
zeroline=zeros(no,1)';

dates_inf=(1996:1:1996+no-4)';
zeroline_inf=zeros(no-4,1)';

%Generating pathes for the level of the exchange rate
S_ster_level=zeros(no,1);
S_ster_level(1,1)=Sact_level(1,1);
for i=1:no-1
    S_ster_level(1+i,1)=S_ster_level(i,1)*exp(S_ster(1+i,1));
end

S_ster_nofincon_level=zeros(no,1);
S_ster_nofincon_level(1,1)=Sact_level(1,1);
for i=1:no-1
    S_ster_nofincon_level(1+i,1)=S_ster_nofincon_level(i,1)*exp(S_ster_nofincon(1+i,1));
end

S_open_level=zeros(no,1);
S_open_level(1,1)=Sact_level(1,1);
for i=1:no-1
    S_open_level(1+i,1)=S_open_level(i,1)*exp(S_open(1+i,1));
end

S_open_nofincon_level=zeros(no,1);
S_open_nofincon_level(1,1)=Sact_level(1,1);
for i=1:no-1
    S_open_nofincon_level(1+i,1)=S_open_nofincon_level(i,1)*exp(S_open_nofincon(1+i,1));
end


%Re-basing RER to 1996=100
Q_b=size(Q_ster);
Q_b_size=Q_b(1,1);
Q_ster_nofincon_b=exp(Q_ster_nofincon)./(exp(Q_ster_nofincon(1,1))*ones(Q_b_size,1))*100;
Q_sterfixedER_b=exp(Q_sterfixedER)./(exp(Q_sterfixedER(1,1))*ones(Q_b_size,1))*100;
Q_open_nofincon_b=exp(Q_open_nofincon)./(exp(Q_open_nofincon(1,1))*ones(Q_b_size,1))*100;
Q_openfixedERnofincon_b=exp(Q_openfixedERnofincon)./(exp(Q_openfixedERnofincon(1,1))*ones(Q_b_size,1))*100;
Q_open_nofincon_tfp2_b=exp(Q_open_nofincon_tfp2)./(exp(Q_open_nofincon_tfp2(1,1))*ones(Q_b_size,1))*100;
Q_nofincon_tfp2_b=exp(Q_nofincon_tfp2)./(exp(Q_nofincon_tfp2(1,1))*ones(Q_b_size,1))*100;
Q_nofincon_tfpUS_b=exp(Q_nofincon_tfpUS)./(exp(Q_nofincon_tfpUS(1,1))*ones(Q_b_size,1))*100;
Q_open_nofincon_tfpUS_b=exp(Q_open_nofincon_tfpUS)./(exp(Q_open_nofincon_tfpUS(1,1))*ones(Q_b_size,1))*100;
Q_open_nofincon_nh_b=exp(Q_open_nofincon_nh)./(exp(Q_open_nofincon_nh(1,1))*ones(Q_b_size,1))*100;
Q_open_nofincon_n1_b=exp(Q_open_nofincon_n1)./(exp(Q_open_nofincon_n1(1,1))*ones(Q_b_size,1))*100;
Q_ster_nofincon_nh_b=exp(Q_ster_nofincon_nh)./(exp(Q_ster_nofincon_nh(1,1))*ones(Q_b_size,1))*100;
Q_ster_nofincon_n1_b=exp(Q_ster_nofincon_n1)./(exp(Q_ster_nofincon_n1(1,1))*ones(Q_b_size,1))*100;
Q_nofincon_bfslow_b=exp(Q_nofincon_bfslow)./(exp(Q_nofincon_bfslow(1,1))*ones(Q_b_size,1))*100;
Q_nofincon_eta10_b=exp(Q_nofincon_eta10)./(exp(Q_nofincon_eta10(1,1))*ones(Q_b_size,1))*100;
Q_nofincon_eta01_b=exp(Q_nofincon_eta01)./(exp(Q_nofincon_eta01(1,1))*ones(Q_b_size,1))*100;
Q_nofincon_samedelta_b=exp(Q_nofincon_samedelta)./(exp(Q_nofincon_samedelta(1,1))*ones(Q_b_size,1))*100;
Q_nofincon_phimUS_b=exp(Q_nofincon_phimUS)./(exp(Q_nofincon_phimUS(1,1))*ones(Q_b_size,1))*100;
Q_nofincon_MPChen_b=exp(Q_nofincon_MPChen)./(exp(Q_nofincon_MPChen(1,1))*ones(Q_b_size,1))*100;
Q_nofincon_MPZhang_b=exp(Q_nofincon_MPZhang)./(exp(Q_nofincon_MPZhang(1,1))*ones(Q_b_size,1))*100;
Q_open_nofincon_EE_b=exp(Q_open_nofincon_EE)./(exp(Q_open_nofincon_EE(1,1))*ones(Q_b_size,1))*100;


% Figure 3: Actual, Simulated and Counterfactual external balances:
figure('Name','External Balances: No financial constraints')
subplot(2,2,1);
plot(dates,CAYact(1:no,:),'-r',dates,CAY_ster_nofincon(1:no,:),'-b',dates,CAY_open_nofincon(1:no,:),'-g', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-12 12]);
legend({'Actual','Model: Capital controls, reserve accumulation','Model: Open capital account, floating exchange rate'},'Location','southwest', 'FontSize', 12);
legend boxoff;
title('Current Account (%GDP)','FontSize',14);
subplot(2,2,2);
plot(dates,b_fYact(1:no,:)*100,'-r',dates,b_fY_ster_nofincon(1:no,:),'-b',dates,b_fY_open_nofincon(1:no,:),'-g','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Foreign bond holdings (%GDP)','FontSize',14);
subplot(2,2,3); 
plot(dates,TBYact(1:no,:),'-r',dates,TBY_ster_nofincon(1:no,:),'-b',dates,TBY_open_nofincon(1:no,:),'-g','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-8 10]);
title('Trade balance (%GDP)','FontSize',14);
subplot(2,2,4);
plot(dates,Sact_level(1:no,:),'-r',dates,S_ster_nofincon_level(1:no,:),'-b',dates,S_open_nofincon_level(1:no,:),'-g', 'LineWidth', 1.05);
set(gca,'FontSize',12)
xlim([1996 2014]);
title('Exchange rate level (RMB per USD)','FontSize',14);

% Figure 5: The effect of TFP
% Mechanisms figure which has baseline model and Chinese TFP=2 or US TFP
% and no financial constraints
figure('Name','TFP analysis: No financial constraints')
subplot(2,2,1);
plot(dates,CAY_ster_nofincon(1:no,:),'-b',dates,CAY_nofincon_tfp2(1:no,:),'*-b',dates,CAY_nofincon_tfpUS(1:no,:),'--b',...
    dates, CAY_open_nofincon(1:no,:),'-g',dates,CAY_open_nofincon_tfp2(1:no,:), '*-g',dates,CAY_open_nofincon_tfpUS(1:no,:), '--g', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-10 10]);
title('Current Account (%GDP)','FontSize',14);
subplot(2,2,2);
plot(dates,b_fY_ster_nofincon(1:no,:),'-b',dates,b_fY_nofincon_tfp2(1:no,:),'*-b',dates,b_fY_nofincon_tfpUS(1:no,:),'--b',...
    dates, b_fY_open_nofincon(1:no,:),'-g',dates,b_fY_open_nofincon_tfp2(1:no,:),'*-g',dates,b_fY_open_nofincon_tfpUS(1:no,:),'--g', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-60 100]);
legend({'Baseline: PWT TFP growth','Long-run TFP growth', 'US TFP growth'},'Location','northwest','FontSize',12);
legend boxoff;
txt = 'Capital controls, reserve accumulation:';
text(1997,92,txt,'FontSize',14)
title('Foreign bond holdings (%GDP)','FontSize',14);
subplot(2,2,3); 
plot(dates,TBY_ster_nofincon(1:no,:),'-b',dates,TBY_nofincon_tfp2(1:no,:),'*-b',dates,TBY_nofincon_tfpUS(1:no,:),'--b',...
    dates,TBY_open_nofincon(1:no,:),'-g',dates,TBY_open_nofincon_tfp2(1:no,:),'*-g',dates,TBY_open_nofincon_tfpUS(1:no,:),'--g','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-8 8]);
title('Trade balance (%GDP)','FontSize',14);
subplot(2,2,4);
plot(dates,Q_open_nofincon_b(1:no,:),'-g',dates,Q_open_nofincon_tfp2_b(1:no,:),'*-g',dates,Q_open_nofincon_tfpUS_b(1:no,:),'--g',...
     dates,Q_ster_nofincon_b(1:no,:),'-b',dates,Q_nofincon_tfp2_b(1:no,:),'*-b',dates,Q_nofincon_tfpUS_b(1:no,:),'--b', 'LineWidth', 1.05)
set(gca,'FontSize',12)
 hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([95 103]);
legend({'Counterfactual: PWT TFP growth','Long-run TFP growth', 'US TFP growth'},'Location','southwest','FontSize',12);
legend boxoff;
txt = 'Open capital account, floating exchange rate:';
text(1997,98,txt,'FontSize',14)
title('Real exchange rate (1996=100)','FontSize',14);

% Figure 6: Size of the home country 
%n=0.25, n=0.125, SOE with no financial constraints
figure('Name','Size of China analysis')
subplot(2,2,1);
plot(dates,CAY_ster_nofincon(1:no,:),'-b',dates,CAY_ster_nofincon_nh(1:no,:),'*-b',dates,CAY_ster_nofincon_n1(1:no,:),'--b',...
    dates, CAY_open_nofincon(1:no,:),'-g',dates,CAY_open_nofincon_nh(1:no,:),'*-g',dates,CAY_open_nofincon_n1(1:no,:),'--g', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-10 10])
title('Current Account (%GDP)','FontSize',14);
subplot(2,2,2);
plot(dates,b_fY_ster_nofincon(1:no,:),'-b',dates,b_fY_ster_nofincon_nh(1:no,:),'*-b',dates,b_fY_ster_nofincon_n1(1:no,:),'--b',...
    dates, b_fY_open_nofincon(1:no,:),'-g',dates,b_fY_open_nofincon_nh(1:no,:),'*-g',dates,b_fY_open_nofincon_n1(1:no,:),'--g', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-60 120]);
legend({'Baseline: n=0.25','n=0.125','Small open economy'},'Location','northwest','FontSize',12);
legend boxoff;
txt = 'Capital controls, reserve accumulation:';
text(1997,110,txt,'FontSize',14)
title('Foreign bond holdings (%GDP)','FontSize',14);
subplot(2,2,3); 
plot(dates,TBY_ster_nofincon(1:no,:),'-b',dates,TBY_ster_nofincon_nh(1:no,:),'*-b',dates,TBY_ster_nofincon_n1(1:no,:),'--b',...
    dates,TBY_open_nofincon(1:no,:),'-g',dates,TBY_open_nofincon_nh(1:no,:),'*-g',dates,TBY_open_nofincon_n1(1:no,:),'--g','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-8 8])
title('Trade balance (%GDP)','FontSize',14);
subplot(2,2,4);
plot(dates,Q_open_nofincon_b(1:no,:),'-g',dates,Q_open_nofincon_nh_b(1:no,:),'*-g',dates,Q_open_nofincon_n1_b(1:no,:),'--g',...
     dates,Q_ster_nofincon_b(1:no,:),'-b',dates,Q_ster_nofincon_nh_b(1:no,:),'*-b',dates,Q_ster_nofincon_n1_b(1:no,:),'--b', 'LineWidth', 1.05)
set(gca,'FontSize',12)
 hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([97 105]);
legend({'Counterfactual: n=0.25','n=0.125','Small open economy'},'Location','southwest','FontSize',12);
legend boxoff;
txt = 'Open capital account, floating exchange rate:';
text(1997,104.5,txt,'FontSize',14)
title('Real exchange rate (1996=100)','FontSize',14);

% Figure 4: The effect of capital controls and foreign reserve accumulation
figure('Name','External Balances Broken Down')
subplot(2,2,1);
plot(dates,CAY_ster_nofincon(1:no,:),'-b',dates,CAY_nofincon_bfslow(1:no,:),'--b',...
    dates,zeroline,'-m',dates,CAY_open_nofincon(1:no,:),'-g',dates,CAY_openfixedERnofincon(1:no,:),'--g',...
    dates,CAY_sterfixedER(1:no,:),'-m','LineWidth', 1.05);
set(gca,'FontSize',12)
xlim([1996 2014]);
ylim([-12 15])
legend({'Baseline','Baseline with  \rho_{bfs}=1.45', 'Closed capital account, fixed exchange rate'},'Location','northwest', 'FontSize',12);
legend boxoff;
txt = 'Capital controls, reserve accumulation:';
text(1997,14,txt,'FontSize',14);
title('Current Account (%GDP)','FontSize',14);
subplot(2,2,2);
plot(dates,b_fY_open(1:no,:),'-g',dates,b_fY_openfixedERnofincon(1:no,:),'--g',...
    dates,b_fY_ster_nofincon(1:no,:),'-b',dates,b_fY_nofincon_bfslow(1:no,:),'--b', dates,zeroline,'-m','LineWidth', 1.05);
set(gca,'FontSize',12)
xlim([1996 2014]);
ylim([-80 60])
legend({'Floating exchange rate', 'Fixed exchange rate'},'Location','southwest','FontSize',12);
legend boxoff;
txt = 'Open capital account:';
text(1997,54,txt,'FontSize',14);
title('Foreign bond holdings (%GDP)','FontSize',14);
subplot(2,2,3); 
plot(dates,TBY_ster_nofincon(1:no,:),'-b',dates,TBY_nofincon_bfslow(1:no,:),'--b',...
    dates,TBY_open_nofincon(1:no,:),'-g',dates,TBY_openfixedERnofincon(1:no,:),'--g',...
     dates,TBY_sterfixedER(1:no,:),'-m',dates,zeroline,'m','LineWidth', 1.05);
set(gca,'FontSize',12)
xlim([1996 2014]);
title('Trade balance (%GDP)','FontSize',14);
subplot(2,2,4); 
plot(dates,Q_ster_nofincon_b(1:no,:),'-b',dates,Q_nofincon_bfslow_b(1:no,:),'--b',...
    dates,Q_open_nofincon_b(1:no,:),'-g',dates,Q_openfixedERnofincon_b(1:no,:),'--g',...
    dates,Q_sterfixedERnofincon_b(1:no,:),'-m','LineWidth', 1.05);
set(gca,'FontSize',12);
xlim([1996 2014]);
title('Real exchange rate (1996=100)','FontSize',14);

Cdif=C_ster_nofincon-C_open_nofincon;
Idif=I_ster_nofincon-I_open_nofincon;
Mdif=M_ster_nofincon-M_open_nofincon;
Xdif=X_ster_nofincon-X_open_nofincon;
Qdif=Q_ster_nofincon-Q_open_nofincon;
Y_h_totaldif=Y_h_total_ster_nofincon-Y_h_total_open_nofincon;
igross_ratiodif = igross_ratio_ster_nofincon - igross_ratio_open_nofincon;
sgross_ratiodif = sgross_ratio_ster_nofincon - sgross_ratio_open_nofincon;

C_sdif=C_s_ster_nofincon-C_s_open_nofincon;
I_sdif=I_s_ster_nofincon-I_s_open_nofincon;
pi_sdif=pi_s_ster_nofincon-pi_s_open_nofincon;
R_f_sdif=R_f_s_ster_nofincon-R_f_s_open_nofincon;
Y_f_totaldif=Y_f_total_ster_nofincon-Y_f_total_open_nofincon;

Cdif_sterfixedERnofincon=C_sterfixedER-C_open_nofincon;
Idif_sterfixedERnofincon=I_sterfixedER-I_open_nofincon;
Mdif_sterfixedERnofincon=M_sterfixedER-M_open_nofincon;
Xdif_sterfixedERnofincon=X_sterfixedER-X_open_nofincon;
Qdif_sterfixedERnofincon=Q_sterfixedER-Q_open_nofincon;
Y_hdif_sterfixedERnofincon=Y_h_sterfixedER-Y_h_open_nofincon;

C_sdif_sterfixedERnofincon=C_s_sterfixedER-C_s_open_nofincon;
I_sdif_sterfixedERnofincon=I_s_sterfixedER-I_s_open_nofincon;
pi_sdif_sterfixedERnofincon=pi_s_sterfixed-pi_s_open_nofincon;
R_f_sdif_sterfixedERnofincon=R_f_s_sterfixedER-R_f_s_open_nofincon;
Y_f_totaldif_sterfixedERnofincon=Y_f_total_sterfixedER-Y_f_total_open_nofincon;
igross_ratiodif_sterfixedERnofincon = igross_ratio_sterfixedER - igross_ratio_open_nofincon;
sgross_ratiodif_sterfixedERnofincon = sgross_ratio_sterfixedER - sgross_ratio_open_nofincon;

% Figure 7: Simulated responses for the home country
figure('Name','Actual and Counterfactuals: Home country differences')
subplot(2,3,1);
plot(dates,Cdif(1:no,:),'-r',dates,Cdif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Consumption','FontSize',14);
subplot(2,3,2); 
plot(dates,Idif(1:no,:),'-r',dates,Idif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Investment','FontSize',14);
subplot(2,3,3); 
plot(dates,Mdif(1:no,:),'-r',dates,Mdif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Imports','FontSize',14);
subplot(2,3,4); 
plot(dates,Xdif(1:no,:),'-r',dates,Xdif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
legend({'Cap controls, reserve accum','Closed cap a/c, fixed S'},'Location','southwest','FontSize',12);
legend boxoff;
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-0.08 0.08])
title('Exports','FontSize',14);
subplot(2,3,5); 
plot(dates,Qdif(1:no,:),'-r',dates,Qdif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Real exchange rate','FontSize',14);
subplot(2,3,6); 
plot(dates,Y_h_totaldif(1:no,:),'-r',dates,Y_h_totaldif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Production of the home good','FontSize',14);

% Figure 8: Simulated responses for the foreign country

figure('Name','Actual and Counterfactuals: Foreign country differences')
subplot(2,3,1);
plot(dates,C_sdif(1:no,:),'-r',dates,C_sdif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Consumption','FontSize',14);
subplot(2,3,2); 
plot(dates,I_sdif(1:no,:),'-r',dates,I_sdif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Investment','FontSize',14);
subplot(2,3,4); 
plot(dates,R_f_sdif(1:no,:),'-r',dates,R_f_sdif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
legend({'Cap controls, reserve accum','Closed cap a/c, fixed S'},'Location','southwest','FontSize',12);
legend boxoff;
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-0.01 0.01]);
title('Interest rate','FontSize',14);
subplot(2,3,5); 
plot(dates,pi_sdif(1:no,:),'-r',dates,pi_sdif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-0.01 0.01]);
title('Inflation','FontSize',14);
subplot(2,3,3); 
plot(dates,Y_f_totaldif(1:no,:),'-r',dates,Y_f_totaldif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Production of the foreign good','FontSize',14);

% Figure 6 in the Online Appendix
figure('Name','Parameter: No financial constraints')
subplot(2,2,1);
plot(dates,CAY_ster_nofincon(1:no,:),'-b',dates,CAY_nofincon_eta10(1:no,:),'*-b',dates,CAY_nofincon_eta01(1:no,:),'--b',...
    dates,CAY_nofincon_samedelta(1:no,:),':b',dates,CAY_nofincon_phimUS(1:no,:),'.-b','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Current Account (%GDP)','FontSize',14);
subplot(2,2,2);
plot(dates,b_fY_ster_nofincon(1:no,:),'-b',dates,b_fY_nofincon_eta10(1:no,:),'*-b',dates,b_fY_nofincon_eta01(1:no,:),'--b',...
   dates,b_fY_nofincon_samedelta(1:no,:),':b',dates,b_fY_nofincon_phimUS(1:no,:), '.-b','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-20 80]);
title('Foreign bond holdings (%GDP)','FontSize',14);
subplot(2,2,3); 
plot(dates,TBY_ster_nofincon(1:no,:),'-b',dates,TBY_nofincon_eta10(1:no,:),'*-b',dates,TBY_nofincon_eta01(1:no,:),'--b',...
    dates,TBY_nofincon_samedelta(1:no,:),':b',dates,TBY_nofincon_phimUS(1:no,:),'.-b','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Trade balance (%GDP)','FontSize',14);
subplot(2,2,4);
plot(dates,Q_ster_nofincon_b(1:no,:),'-b',dates,Q_nofincon_eta10_b(1:no,:),'*-b',dates,Q_nofincon_eta01_b(1:no,:),'--b',...
    dates,Q_nofincon_samedelta_b(1:no,:),':b',dates,Q_nofincon_phimUS_b(1:no,:),'.-b','LineWidth', 1.05)
set(gca,'FontSize',12)
 hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([96 102]);
legend({'Baseline','1/\eta=0.1', '1/\eta=10', '\delta=\delta*', '\Phi_m to match M/GDP in US'},'Location','southwest','FontSize',12);
legend boxoff;
title('Real exchange rate (1996=100)','FontSize',14);

%%%%%%%% Matching the model with data %%%%%%%%
% Ratios to GDP
dates_long=(1996:1:1996+no+5)';
C_ster_nofincon_GDPshare = n*exp(C_ster_nofincon)./exp(GDPval_ster_nofincon);
I_ster_nofincon_GDPshare = n*exp(I_ster_nofincon)./exp(GDPval_ster_nofincon);
C_sterfixedERnofincon_GDPshare = n*exp(C_sterfixedERnofincon)./exp(GDPval_sterfixedERnofincon);
I_sterfixedERnofincon_GDPshare = n*exp(I_sterfixedERnofincon)./exp(GDPval_sterfixedERnofincon);
T_export = table(dates_long, C_ster_nofincon(1:28,:), I_ster_nofincon(1:28,:), C_sterfixedERnofincon(1:28,:), I_sterfixedERnofincon(1:28,:), C_ster_nofincon_GDPshare(1:28,:), I_ster_nofincon_GDPshare(1:28,:),...
    C_sterfixedERnofincon_GDPshare(1:28,:), I_sterfixedERnofincon_GDPshare(1:28,:), R_k_ster_nofincon(1:28,:), R_k_sterfixedERnofincon(1:28,:), R_k_s_ster_nofincon(1:28,:), R_k_s_sterfixedERnofincon(1:28,:),...
    W_ster_nofincon(1:28,:), W_sterfixedERnofincon(1:28,:));
filename = 'C:\Users\z3504163\Dropbox\Two country\NewIII\Data\Comparison_to_data.xlsx';
writetable(T_export, filename, 'Sheet', 1, 'Range', 'A1');


%%%%%%%% Money supply %%%%%%%%
mgdp_ratio_open_nofincon=0.25*exp(m_open_nofincon)./exp(GDPval_open_nofincon)*100;

% Figure 2 in the Online Appendix
figure('Name','Parameter: No financial constraints')
subplot(2,2,1);
plot(dates,CAY_ster_nofincon(1:no,:),'-b',dates,CAY_nofincon_MPChen(1:no,:),'*-b',dates,CAY_nofincon_MPZhang(1:no,:),'--b',...
    dates,CAY_open_nofincon(1:no,:),'-g',dates,CAY_open_nofincon_EE(1:no,:),'--g','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Current Account (%GDP)','FontSize',14);
subplot(2,2,2);
plot(dates,b_fY_ster_nofincon(1:no,:),'-b',dates,b_fY_nofincon_MPChen(1:no,:),'*-b',dates,b_fY_nofincon_MPZhang(1:no,:),'--b',...
   dates,b_fY_open_nofincon(1:no,:),'-g',dates,b_fY_open_nofincon_EE(1:no,:),'--g','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-60 100]);
legend({'Baseline','Chen et al (2018) money supply rule', 'Zhang (2009) money supply rule'},'Location','northwest','FontSize',12);
legend boxoff;
txt = 'Capital controls, reserve accumulation:';
text(1997,93,txt,'FontSize',14)
title('Foreign bond holdings (%GDP)','FontSize',14);
subplot(2,2,3); 
plot(dates,TBY_ster_nofincon(1:no,:),'-b',dates,TBY_nofincon_MPChen(1:no,:),'*-b',dates,TBY_nofincon_MPZhang(1:no,:),'--b',...
    dates,TBY_open_nofincon(1:no,:),'-g',dates,TBY_open_nofincon_EE(1:no,:),'--g','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Trade balance (%GDP)','FontSize',14);
subplot(2,2,4);
plot(dates,Q_open_nofincon_b(1:no,:),'-g',dates,Q_open_nofincon_EE_b(1:no,:),'--g',...
        dates,Q_ster_nofincon_b(1:no,:),'-b',dates,Q_nofincon_MPChen_b(1:no,:),'*-b',dates,Q_nofincon_MPZhang_b(1:no,:),'--b','LineWidth', 1.05)
set(gca,'FontSize',12)
 hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([95 103]);
title('Real exchange rate (1996=100)','FontSize',14);
legend({'Money supply rule', 'Mohanty and Klau (2005) Taylor rule'},'Location','southwest','FontSize',12);
legend boxoff;
txt = 'Open capital account, floating exchange rate:';
text(1997,97,txt,'FontSize',14)

% Figure 3 in Online Appendix
figure('Name','Money supply')
plot(dates,mgdp_ratio_act(1:no,:),'-r',dates,mgdp_ratio_open_nofincon(1:no,:),'-g','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([20 80])
legend boxoff;
legend({'Actual','Model: Open captial account, floating exchange rate'},'Location','southwest','FontSize',12);

% Figure 9
figure('Name','External Balances: With and without financial constraints')
subplot(2,2,1);
plot(dates,CAYact(1:no,:),'-r',dates,CAY_ster_nofincon(1:no,:),'-b',dates,CAY_ster(1:no,:),'--b',...
    dates,CAY_open_nofincon(1:no,:),'-g',dates,CAY_open(1:no,:),'--g','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-10 12]);
title('Current Account (%GDP)','FontSize',14);
subplot(2,2,2);
plot(dates,b_fYact(1:no,:)*100,'-r',dates,b_fY_ster_nofincon(1:no,:),'-b',dates,b_fY_ster(1:no,:),'--b',...
    dates,b_fY_open_nofincon(1:no,:),'-g',dates,b_fY_open(1:no,:),'--g','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Foreign bond holdings (%GDP)','FontSize',14);
subplot(2,2,3); 
plot(dates,TBYact(1:no,:),'-r',dates,TBY_ster_nofincon(1:no,:),'-b',dates,TBY_ster(1:no,:),'--b',...
    dates,TBY_open_nofincon(1:no,:),'-g',dates,TBY_open(1:no,:),'--g','LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
ylim([-10 10]);
title('Trade balance (%GDP)','FontSize',14);
subplot(2,2,4);
plot(dates,Sact_level(1:no,:),'-r',dates,S_ster_nofincon_level(1:no,:),'-b',dates,S_ster_level(1:no,:),'--b',...
    dates,S_open_nofincon_level(1:no,:),'-g',dates,S_open_level(1:no,:),'--g','LineWidth', 1.05);
set(gca,'FontSize',12)
xlim([1996 2014]);
legend({'Actual','Baseline model','Baseline model with financial constraints','Counterfactual model','Counterfactual model with financial constraints'},'Location','southwest', 'FontSize', 12);
legend boxoff;
title('Exchange rate level (RMB per USD)','FontSize',14);

% Figure 5 in Online Appendix
figure('Name','Actual and Counterfactuals: Home country differences S&I ratio')
subplot(1,2,1);
plot(dates,sgross_ratiodif(1:no,:),'-r',dates,sgross_ratiodif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Savings (%GDP)','FontSize',14);
legend({'Cap controls, reserve accum','Closed cap a/c, fixed S'},'Location','southwest','FontSize',12);
legend boxoff;
subplot(1,2,2); 
plot(dates,igross_ratiodif(1:no,:),'-r',dates,igross_ratiodif_sterfixedERnofincon(1:no,:),'--r', 'LineWidth', 1.05)
set(gca,'FontSize',12)
hold on
plot(dates,zeroline,'k');
hold off
xlim([1996 2014]);
title('Investment (%GDP)','FontSize',14);



