function [fval] = SSLPgext_fincon(x, theta, ratio, omega, phi_n, eta_fc, psi, eta, sigma, alpha, delta, G, R_k, n, S, R_f_s, pi, R_l, R_h, tau_r, omega_s, alpha_s, psi_s, delta_s, G_s, R_k_s, pi_s, bfratio, beta_use, fincon);
% c=x(1), k=x(2), y_h=x(3), y_f=x(4), N=x(5), w=x(6), Q=x(7), b_f=x(8)
% c_s=x(9), k_s=x(10), y_h_s=x(11), y_f_s=x(12), p_h_s=x(13), p_f_s=x(14),
% N_s=x(15), w_s=x(16), b_f_s=x(17), eta_fc=x(18)

fval = [(x(1)+x(2)*(G-1+delta))^((theta-1)/theta)-omega^(1/theta)*x(3)^((theta-1)/theta)-(1-omega)^(1/theta)*(x(4)/ratio)^((theta-1)/theta);
1-omega*(x(13)*x(7))^(1-theta)-(1-omega)*(x(7)*x(14))^(1-theta); 
x(3)*ratio/x(4) - (omega/(1-omega))*(x(14)/x(13))^theta; 
phi_n*x(5)^eta*x(1)-x(6); 
%eta_fc*x(6) - beta_use*R_l*x(6)/G - (1-sigma)*(1-alpha)*x(7)*x(13)*(G^(1-alpha))*((x(2)/x(5))^alpha)/sigma;
%eta_fc*(R_k-fincon) - beta_use*R_l*R_k/G - alpha*(1-sigma)*x(7)*x(13)*(G^(1-alpha))*((x(5)/x(2))^(1-alpha))/sigma; %%%%
x(18)*x(6) - beta_use*R_l*x(6)/G - (1-sigma)*(1-alpha)*x(7)*x(13)*(G^(1-alpha))*((x(2)/x(5))^alpha)/sigma;
x(18)*(R_k-fincon) - beta_use*R_l*R_k/G - alpha*(1-sigma)*x(7)*x(13)*(G^(1-alpha))*((x(5)/x(2))^(1-alpha))/sigma; %%%%
n*x(3)+(1-n)*x(11) - n*x(2)^alpha*(G*x(5))^(1-alpha);
n*(x(1)+x(2)*(G-1+delta)+x(8)*(1-S*R_f_s/(pi*G)))-x(7)*x(13)*(n*x(3)+(1-n)*x(11));
(x(9)+x(10)*(G_s-1+delta_s))^((theta-1)/theta)-omega_s^(1/theta)*(x(11)*ratio)^((theta-1)/theta)-(1-omega_s)^(1/theta)*x(12)^((theta-1)/theta);
1-omega_s*x(13)^(1-theta)-(1-omega_s)*x(14)^(1-theta);
x(11)*ratio/x(12) - (omega_s/(1-omega_s))*(x(14)/x(13))^theta;
phi_n*x(15)^eta*x(9)-x(16);
x(14)*(sigma-1)*(1-alpha_s)*G_s^(1-alpha_s)*x(10)^alpha_s-sigma*(1-psi_s+psi_s*R_f_s)*x(16)*x(15)^alpha_s;
alpha_s*x(16)*x(15)-(1-alpha_s)*R_k_s*x(10);
n*x(4)+(1-n)*x(12) - (1-n)*x(10)^alpha_s*(G_s*x(15))^(1-alpha_s);
x(14)*((1-n)*x(12)+n*x(4))-(1-n)*(x(9)+x(10)*(G_s-1+delta_s)-x(17)*(1-R_f_s/(pi_s*G_s)));
n*x(8)+(1-n)*x(17)*x(7)/ratio;
x(6)*x(5)+x(2)*(R_k-fincon)];
%eta_fc_share*(n*(x(1)+x(2)*(G-1+delta))+(1-n)*x(7)*x(13)*x(11)-n*x(7)*x(14)*x(4)/ratio)-psi*x(18)*n*(x(6)*x(5)+R_k*x(2))];
%n*x(8)/(n*(x(1)+x(2)*(G-1+delta))+(1-n)*x(13)*x(7)*x(11)-n*x(7)*x(14)*x(4)/ratio)-bfratio];
%bfratio*(n*(x(1)+x(2)*(G-1+delta))+(1-n)*x(7)*x(13)*x(11)-n*x(7)*x(14)*x(4)/ratio)+(1-n)*x(17)*x(4)/ratio;
%;
%(1-n)*(x(9)+x(10)*(G_s-1+delta_s))+(n*x(8)*ratio/x(7)*(1-R_f_s/(pi_s*G_s)))-x(14)*(n*x(4)+(1-n)*x(12));

